import blocks from './blocks.js';

const base = (facepanels) => ({
    "name": "base",
    "colors": [
        "#0079FF",
        "#006DE6",
        "#0061CC"
    ],
    "menuIconURI": "",
    "blockIcon": null,
    "blocks": blocks(facepanels),
    "menus": {
        "LED_CONTROL_STATUS": [{
                "text": "LED_CONTROL_STATUS_0",
                "value": "1"
            },
            {
                "text": "LED_CONTROL_STATUS_1",
                "value": "0"
            }
        ],
        "LED_CONTROL_PIN": [{
                "text": "LED_CONTROL_PIN_0",
                "value": "45"
            },
            {
                "text": "LED_CONTROL_PIN_1",
                "value": "46"
            },
            {
                "text": "LED_CONTROL_PIN_2",
                "value": "44"
            }
        ],
        "SETDIGITAL_PIN": [{
                "text": "SETDIGITAL_PIN_0",
                "value": "5"
            },
            {
                "text": "SETDIGITAL_PIN_1",
                "value": "6"
            },
            {
                "text": "SETDIGITAL_PIN_2",
                "value": "7"
            },
            {
                "text": "SETDIGITAL_PIN_3",
                "value": "15"
            },
            {
                "text": "SETDIGITAL_PIN_4",
                "value": "16"
            },
            {
                "text": "SETDIGITAL_PIN_5",
                "value": "17"
            },
            {
                "text": "SETDIGITAL_PIN_6",
                "value": "18"
            },
            {
                "text": "SETDIGITAL_PIN_7",
                "value": "23"
            }
        ],
        "SETDIGITAL_STATUS": [{
                "text": "SETDIGITAL_STATUS_0",
                "value": "1"
            },
            {
                "text": "SETDIGITAL_STATUS_1",
                "value": "0"
            }
        ],
        "IS_PRESSED_BUTTON_BUTTON_PIN": [{
                "text": "IS_PRESSED_BUTTON_BUTTON_PIN_0",
                "value": "23"
            },
            {
                "text": "IS_PRESSED_BUTTON_BUTTON_PIN_1",
                "value": "24"
            }
        ],
        "BLOCK_1719068300620_PIN": [{
                "text": "BLOCK_1719068300620_PIN_0",
                "value": "25"
            },
            {
                "text": "BLOCK_1719068300620_PIN_1",
                "value": "26"
            },
            {
                "text": "BLOCK_1719068300620_PIN_2",
                "value": "27"
            }
        ]
    }
});

export default base;