const blocks = (extFacePanels) => ([{
        "opcode": "BLOCK_1698789325358",
        "blockType": "string",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "ir_port": {
                "type": "fieldMenu",
                "defaultValue": "PORT_1",
                "menu": "BLOCK_1698789325358_IR_PORT"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `rangefinder.getDistance()`,
                "sections": {
                    "lib": `#include \"RenicsWire/RenicsWire.h\"`,
                    "declare": `RenicsIR  rangefinder(/*{ir_port}*/);`
                }
            }
        },
        "handler": this.funcs.BLOCK_1698789325358
    },
    {
        "opcode": "BLOCK_1699086551609",
        "blockType": "string",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "axis": {
                "type": "fieldMenu",
                "defaultValue": "ax",
                "menu": "BLOCK_1699086551609_AXIS"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `/*{axis}*/*9.81`,
                "sections": {
                    "lib": `#include \"LSM6DS3/Arduino_LSM6DS3.h\"`,
                    "declare": `float ax = 0, ay = 0, az = 0;`,
                    "setup": `IMU.begin();`,
                    "_loop": `  if (IMU.accelerationAvailable()) {\n    IMU.readAcceleration(ax, ay, az);\n  }`
                }
            }
        },
        "handler": this.funcs.BLOCK_1699086551609
    },
    {
        "opcode": "accelerometr",
        "blockType": "string",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "axis": {
                "type": "fieldMenu",
                "defaultValue": "gx",
                "menu": "ACCELEROMETR_AXIS"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": "/*{axis}*/",
                "sections": {
                    "lib": `#include \"LSM6DS3/Arduino_LSM6DS3.h\"`,
                    "declare": `float gx = 0, gy = 0, gz = 0;`,
                    "setup": `IMU.begin();`,
                    "_loop": `  if (IMU.gyroscopeAvailable()) {\n    IMU.readGyroscope(gx, gy, gz);\n  }`
                }
            }
        },
        "handler": this.funcs.accelerometr
    }
]);

export default blocks;