import blocks from './blocks.js';

const sensors = (facepanels) => ({
    "name": "sensors",
    "colors": [
        "#AB47BC",
        "#9B3EAB",
        "#8A3798"
    ],
    "menuIconURI": "",
    "blockIcon": null,
    "blocks": blocks(facepanels),
    "menus": {
        "BLOCK_1698789325358_IR_PORT": [{
                "text": "BLOCK_1698789325358_IR_PORT_0",
                "value": "PORT_1"
            },
            {
                "text": "BLOCK_1698789325358_IR_PORT_1",
                "value": "PORT_2"
            },
            {
                "text": "BLOCK_1698789325358_IR_PORT_2",
                "value": "PORT_3"
            },
            {
                "text": "BLOCK_1698789325358_IR_PORT_3",
                "value": "PORT_4"
            },
            {
                "text": "BLOCK_1698789325358_IR_PORT_4",
                "value": "PORT_5"
            },
            {
                "text": "BLOCK_1698789325358_IR_PORT_5",
                "value": "PORT_6"
            },
            {
                "text": "BLOCK_1698789325358_IR_PORT_6",
                "value": "PORT_7"
            },
            {
                "text": "BLOCK_1698789325358_IR_PORT_7",
                "value": "PORT_8"
            },
            {
                "text": "BLOCK_1698789325358_IR_PORT_8",
                "value": "PORT_9"
            },
            {
                "text": "BLOCK_1698789325358_IR_PORT_9",
                "value": "PORT_10"
            },
            {
                "text": "BLOCK_1698789325358_IR_PORT_10",
                "value": "PORT_11"
            },
            {
                "text": "BLOCK_1698789325358_IR_PORT_11",
                "value": "PORT_12"
            }
        ],
        "BLOCK_1699086551609_AXIS": [{
                "text": "BLOCK_1699086551609_AXIS_0",
                "value": "ax"
            },
            {
                "text": "BLOCK_1699086551609_AXIS_1",
                "value": "ay"
            },
            {
                "text": "BLOCK_1699086551609_AXIS_2",
                "value": "az"
            }
        ],
        "ACCELEROMETR_AXIS": [{
                "text": "ACCELEROMETR_AXIS_0",
                "value": "gx"
            },
            {
                "text": "ACCELEROMETR_AXIS_1",
                "value": "gy"
            },
            {
                "text": "ACCELEROMETR_AXIS_2",
                "value": "gz"
            }
        ]
    }
});

export default sensors;